ReflectionFunction::__construct
ReflectionFunction::getClosure
ReflectionFunction
PHP Manual

# ReflectionFunction::export

Exports function

### Description

public static string ReflectionFunction::export ( string `$name` [, string `$return` ] )

Exports a Reflected function.

### Parameters

`name`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string, otherwise `NULL` is returned.

### See Also

- ReflectionFunction::invoke